org.richfaces.component.html

## Class HtmlOrderingList

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIData
      - - org.ajax4jsf.component.UIDataAdaptor
        - - org.richfaces.component.UIOrderingBaseComponent
          - - org.richfaces.component.UIOrderingList
            - - org.richfaces.component.html.HtmlOrderingList

- All Implemented Interfaces:
    javax.faces.component.EditableValueHolder, javax.faces.component.NamingContainer, javax.faces.component.StateHolder, javax.faces.component.ValueHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxDataEncoder

      public class HtmlOrderingList
      extends UIOrderingList

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.richfaces.component.UIOrderingList

      `UIOrderingList.SubmittedValue, UIOrderingList.ValueHolder`

    - ### Nested classes/interfaces inherited from class org.richfaces.component.UIOrderingBaseComponent

      `UIOrderingBaseComponent.DataAdder, UIOrderingBaseComponent.ItemState, UIOrderingBaseComponent.UpdateModelCommand`

    - ### Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptor

      `org.ajax4jsf.component.UIDataAdaptor.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptor.IndexedEvent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.UIOrderingList

      `updateActiveItemCommand, updateSelectionCommand, updateValueCommand`

    - ### Fields inherited from class org.richfaces.component.UIOrderingBaseComponent

      `isColumn`

    - ### Fields inherited from class org.ajax4jsf.component.UIDataAdaptor

      `COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlOrderingList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBottomControlLabel()`
    `java.lang.String` | `getBottomTitle()`
    `java.lang.String` | `getCaptionLabel()`
    `java.lang.String` | `getColumnClasses()`
    `java.lang.String` | `getControlsHorizontalAlign()`
    `java.lang.String` | `getControlsType()`
    `java.lang.String` | `getControlsVerticalAlign()`
    `javax.faces.convert.Converter` | `getConverter()`
    `java.lang.String` | `getConverterMessage()`
    `java.lang.String` | `getDownControlLabel()`
    `java.lang.String` | `getDownTitle()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getListHeight()`
    `java.lang.String` | `getListWidth()`
    `java.lang.String` | `getOnbottomclick()`
    `java.lang.String` | `getOnclick()`
    `java.lang.String` | `getOndblclick()`
    `java.lang.String` | `getOndownclick()`
    `java.lang.String` | `getOnheaderclick()`
    `java.lang.String` | `getOnmousemove()`
    `java.lang.String` | `getOnmouseout()`
    `java.lang.String` | `getOnmouseover()`
    `java.lang.String` | `getOnorderchange()`
    `java.lang.String` | `getOnorderchanged()`
    `java.lang.String` | `getOntopclick()`
    `java.lang.String` | `getOnupclick()`
    `java.lang.String` | `getRequiredMessage()`
    `java.lang.String` | `getRowClasses()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTopControlLabel()`
    `java.lang.String` | `getTopTitle()`
    `java.lang.String` | `getUpControlLabel()`
    `java.lang.String` | `getUpTitle()`
    `java.lang.String` | `getValidatorMessage()`
    `javax.faces.el.MethodBinding` | `getValueChangeListener()`
    `boolean` | `isFastOrderControlsVisible()`
    `boolean` | `isImmediate()`
    `boolean` | `isOrderControlsVisible()`
    `boolean` | `isRequired()`
    `boolean` | `isShowButtonLabels()`
    `boolean` | `isValid()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setBottomControlLabel(java.lang.String _bottomControlLabel)`
    `void` | `setBottomTitle(java.lang.String _bottomTitle)`
    `void` | `setCaptionLabel(java.lang.String _captionLabel)`
    `void` | `setColumnClasses(java.lang.String _columnClasses)`
    `void` | `setControlsHorizontalAlign(java.lang.String _controlsHorizontalAlign)`
    `void` | `setControlsType(java.lang.String _controlsType)`
    `void` | `setControlsVerticalAlign(java.lang.String _controlsVerticalAlign)`
    `void` | `setConverter(javax.faces.convert.Converter _converter)`
    `void` | `setConverterMessage(java.lang.String _converterMessage)`
    `void` | `setDownControlLabel(java.lang.String _downControlLabel)`
    `void` | `setDownTitle(java.lang.String _downTitle)`
    `void` | `setFastOrderControlsVisible(boolean _fastOrderControlsVisible)`
    `void` | `setImmediate(boolean _immediate)`
    `void` | `setLabel(java.lang.String _label)`
    `void` | `setListHeight(java.lang.String _listHeight)`
    `void` | `setListWidth(java.lang.String _listWidth)`
    `void` | `setOnbottomclick(java.lang.String _onbottomclick)`
    `void` | `setOnclick(java.lang.String _onclick)`
    `void` | `setOndblclick(java.lang.String _ondblclick)`
    `void` | `setOndownclick(java.lang.String _ondownclick)`
    `void` | `setOnheaderclick(java.lang.String _onheaderclick)`
    `void` | `setOnmousemove(java.lang.String _onmousemove)`
    `void` | `setOnmouseout(java.lang.String _onmouseout)`
    `void` | `setOnmouseover(java.lang.String _onmouseover)`
    `void` | `setOnorderchange(java.lang.String _onorderchange)`
    `void` | `setOnorderchanged(java.lang.String _onorderchanged)`
    `void` | `setOntopclick(java.lang.String _ontopclick)`
    `void` | `setOnupclick(java.lang.String _onupclick)`
    `void` | `setOrderControlsVisible(boolean _orderControlsVisible)`
    `void` | `setRequired(boolean _required)`
    `void` | `setRequiredMessage(java.lang.String _requiredMessage)`
    `void` | `setRowClasses(java.lang.String _rowClasses)`
    `void` | `setShowButtonLabels(boolean _showButtonLabels)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`
    `void` | `setTopControlLabel(java.lang.String _topControlLabel)`
    `void` | `setTopTitle(java.lang.String _topTitle)`
    `void` | `setUpControlLabel(java.lang.String _upControlLabel)`
    `void` | `setUpTitle(java.lang.String _upTitle)`
    `void` | `setValid(boolean _valid)`
    `void` | `setValidatorMessage(java.lang.String _validatorMessage)`
    `void` | `setValueChangeListener(javax.faces.el.MethodBinding _valueChangeListener)`

    - ### Methods inherited from class org.richfaces.component.UIOrderingList

      `addValueChangeListener, broadcast, createDataModel, getActiveItem, getItemState, getLocalValue, getSelection, getSubmittedValue, getValue, getValueChangeListeners, processDecodes, processDecodes, processUpdates, processValidators, removeValueChangeListener, resetDataModel, restoreIterationState, saveIterationState, setActiveItem, setSelection, setSubmittedString, setSubmittedValue, setValue, updateModel, validate, validateValue`

    - ### Methods inherited from class org.richfaces.component.UIOrderingBaseComponent

      `addConversionErrorMessage, addValidator, columns, compareValues, createComponentState, createContainer, createDataModel, dataChildren, decode, executeValidate, fixedChildren, getConverterForValue, getValidator, getValidators, isEmpty, isLocalValueSet, isSuitableValue, removeValidator, requiredInvalidate, setLocalValueSet, setValidator, updateModel`

    - ### Methods inherited from class org.ajax4jsf.component.UIDataAdaptor

      `addAjaxKeyEvent, addRequestKey, beforeRenderResponse, broadcastLocal, captureOrigValue, captureOrigValue, clearRequestKeysSet, containsRequestKey, encodeAjaxChild, encodeBegin, extractKeySegment, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyConverter, getRowKeyVar, getStateVar, invocableChildren, invokeOnComponent, isRowAvailable, iterate, keepSaved, processUpdates, processValidators, queueEvent, removeRequestKey, resetComponent, restoreChildState, restoreOrigValue, restoreOrigValue, saveChildState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowIndex, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setupVariable, walk`

    - ### Methods inherited from class javax.faces.component.UIData

      `getDataModel, getFirst, getFooter, getHeader, getRows, getVar, setDataModel, setFirst, setFooter, setHeader, setRows, setValueBinding, setValueExpression, setVar`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlOrderingList

          public HtmlOrderingList()

  - ### Method Detail

    - #### getBottomControlLabel

          public java.lang.String getBottomControlLabel()

    - #### setBottomControlLabel

          public void setBottomControlLabel(java.lang.String _bottomControlLabel)

    - #### getBottomTitle

          public java.lang.String getBottomTitle()

    - #### setBottomTitle

          public void setBottomTitle(java.lang.String _bottomTitle)

    - #### getCaptionLabel

          public java.lang.String getCaptionLabel()

    - #### setCaptionLabel

          public void setCaptionLabel(java.lang.String _captionLabel)

    - #### getColumnClasses

          public java.lang.String getColumnClasses()

    - #### setColumnClasses

          public void setColumnClasses(java.lang.String _columnClasses)

    - #### getControlsHorizontalAlign

          public java.lang.String getControlsHorizontalAlign()

    - #### setControlsHorizontalAlign

          public void setControlsHorizontalAlign(java.lang.String _controlsHorizontalAlign)

    - #### getControlsType

          public java.lang.String getControlsType()

      Specified by:
        `getControlsType` in class `UIOrderingList`

    - #### setControlsType

          public void setControlsType(java.lang.String _controlsType)

      Specified by:
        `setControlsType` in class `UIOrderingList`

    - #### getControlsVerticalAlign

          public java.lang.String getControlsVerticalAlign()

    - #### setControlsVerticalAlign

          public void setControlsVerticalAlign(java.lang.String _controlsVerticalAlign)

    - #### getConverter

          public javax.faces.convert.Converter getConverter()

      Specified by:
        `getConverter` in interface `javax.faces.component.ValueHolder`
      Specified by:
        `getConverter` in class `UIOrderingList`

    - #### setConverter

          public void setConverter(javax.faces.convert.Converter _converter)

      Specified by:
        `setConverter` in interface `javax.faces.component.ValueHolder`
      Specified by:
        `setConverter` in class `UIOrderingList`

    - #### getConverterMessage

          public java.lang.String getConverterMessage()

    - #### setConverterMessage

          public void setConverterMessage(java.lang.String _converterMessage)

    - #### getDownControlLabel

          public java.lang.String getDownControlLabel()

    - #### setDownControlLabel

          public void setDownControlLabel(java.lang.String _downControlLabel)

    - #### getDownTitle

          public java.lang.String getDownTitle()

    - #### setDownTitle

          public void setDownTitle(java.lang.String _downTitle)

    - #### isFastOrderControlsVisible

          public boolean isFastOrderControlsVisible()

      Specified by:
        `isFastOrderControlsVisible` in class `UIOrderingBaseComponent`

    - #### setFastOrderControlsVisible

          public void setFastOrderControlsVisible(boolean _fastOrderControlsVisible)

      Specified by:
        `setFastOrderControlsVisible` in class `UIOrderingBaseComponent`

    - #### isImmediate

          public boolean isImmediate()

      Specified by:
        `isImmediate` in interface `javax.faces.component.EditableValueHolder`
      Specified by:
        `isImmediate` in class `UIOrderingList`

    - #### setImmediate

          public void setImmediate(boolean _immediate)

      Specified by:
        `setImmediate` in interface `javax.faces.component.EditableValueHolder`
      Specified by:
        `setImmediate` in class `UIOrderingList`

    - #### getLabel

          public java.lang.String getLabel()

    - #### setLabel

          public void setLabel(java.lang.String _label)

    - #### getListHeight

          public java.lang.String getListHeight()

    - #### setListHeight

          public void setListHeight(java.lang.String _listHeight)

    - #### getListWidth

          public java.lang.String getListWidth()

    - #### setListWidth

          public void setListWidth(java.lang.String _listWidth)

    - #### getOnbottomclick

          public java.lang.String getOnbottomclick()

    - #### setOnbottomclick

          public void setOnbottomclick(java.lang.String _onbottomclick)

    - #### getOnclick

          public java.lang.String getOnclick()

    - #### setOnclick

          public void setOnclick(java.lang.String _onclick)

    - #### getOndblclick

          public java.lang.String getOndblclick()

    - #### setOndblclick

          public void setOndblclick(java.lang.String _ondblclick)

    - #### getOndownclick

          public java.lang.String getOndownclick()

    - #### setOndownclick

          public void setOndownclick(java.lang.String _ondownclick)

    - #### getOnheaderclick

          public java.lang.String getOnheaderclick()

    - #### setOnheaderclick

          public void setOnheaderclick(java.lang.String _onheaderclick)

    - #### getOnmousemove

          public java.lang.String getOnmousemove()

    - #### setOnmousemove

          public void setOnmousemove(java.lang.String _onmousemove)

    - #### getOnmouseout

          public java.lang.String getOnmouseout()

    - #### setOnmouseout

          public void setOnmouseout(java.lang.String _onmouseout)

    - #### getOnmouseover

          public java.lang.String getOnmouseover()

    - #### setOnmouseover

          public void setOnmouseover(java.lang.String _onmouseover)

    - #### getOnorderchange

          public java.lang.String getOnorderchange()

    - #### setOnorderchange

          public void setOnorderchange(java.lang.String _onorderchange)

    - #### getOnorderchanged

          public java.lang.String getOnorderchanged()

    - #### setOnorderchanged

          public void setOnorderchanged(java.lang.String _onorderchanged)

    - #### getOntopclick

          public java.lang.String getOntopclick()

    - #### setOntopclick

          public void setOntopclick(java.lang.String _ontopclick)

    - #### getOnupclick

          public java.lang.String getOnupclick()

    - #### setOnupclick

          public void setOnupclick(java.lang.String _onupclick)

    - #### isOrderControlsVisible

          public boolean isOrderControlsVisible()

      Specified by:
        `isOrderControlsVisible` in class `UIOrderingBaseComponent`

    - #### setOrderControlsVisible

          public void setOrderControlsVisible(boolean _orderControlsVisible)

      Specified by:
        `setOrderControlsVisible` in class `UIOrderingBaseComponent`

    - #### isRequired

          public boolean isRequired()

      Specified by:
        `isRequired` in interface `javax.faces.component.EditableValueHolder`
      Specified by:
        `isRequired` in class `UIOrderingList`

    - #### setRequired

          public void setRequired(boolean _required)

      Specified by:
        `setRequired` in interface `javax.faces.component.EditableValueHolder`
      Specified by:
        `setRequired` in class `UIOrderingList`

    - #### getRequiredMessage

          public java.lang.String getRequiredMessage()

      Specified by:
        `getRequiredMessage` in class `UIOrderingBaseComponent`

    - #### setRequiredMessage

          public void setRequiredMessage(java.lang.String _requiredMessage)

      Specified by:
        `setRequiredMessage` in class `UIOrderingBaseComponent`

    - #### getRowClasses

          public java.lang.String getRowClasses()

    - #### setRowClasses

          public void setRowClasses(java.lang.String _rowClasses)

    - #### isShowButtonLabels

          public boolean isShowButtonLabels()

    - #### setShowButtonLabels

          public void setShowButtonLabels(boolean _showButtonLabels)

    - #### getStyle

          public java.lang.String getStyle()

    - #### setStyle

          public void setStyle(java.lang.String _style)

    - #### getStyleClass

          public java.lang.String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

    - #### getTopControlLabel

          public java.lang.String getTopControlLabel()

    - #### setTopControlLabel

          public void setTopControlLabel(java.lang.String _topControlLabel)

    - #### getTopTitle

          public java.lang.String getTopTitle()

    - #### setTopTitle

          public void setTopTitle(java.lang.String _topTitle)

    - #### getUpControlLabel

          public java.lang.String getUpControlLabel()

    - #### setUpControlLabel

          public void setUpControlLabel(java.lang.String _upControlLabel)

    - #### getUpTitle

          public java.lang.String getUpTitle()

    - #### setUpTitle

          public void setUpTitle(java.lang.String _upTitle)

    - #### isValid

          public boolean isValid()

      Specified by:
        `isValid` in interface `javax.faces.component.EditableValueHolder`
      Specified by:
        `isValid` in class `UIOrderingList`

    - #### setValid

          public void setValid(boolean _valid)

      Specified by:
        `setValid` in interface `javax.faces.component.EditableValueHolder`
      Specified by:
        `setValid` in class `UIOrderingList`

    - #### getValidatorMessage

          public java.lang.String getValidatorMessage()

    - #### setValidatorMessage

          public void setValidatorMessage(java.lang.String _validatorMessage)

    - #### getValueChangeListener

          public javax.faces.el.MethodBinding getValueChangeListener()

      Specified by:
        `getValueChangeListener` in interface `javax.faces.component.EditableValueHolder`
      Specified by:
        `getValueChangeListener` in class `UIOrderingList`

    - #### setValueChangeListener

          public void setValueChangeListener(javax.faces.el.MethodBinding _valueChangeListener)

      Specified by:
        `setValueChangeListener` in interface `javax.faces.component.EditableValueHolder`
      Specified by:
        `setValueChangeListener` in class `UIOrderingList`

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIData`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `UIOrderingList`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `UIOrderingList`

Copyright © 2014. All Rights Reserved.